;----------------------
; Feature inclusion

.define FEATURE__EXCEPTIONS 1
.define FEATURE__GLOBALS 1
.define FEATURE__TRAPS 1


;----------------------
; Text files

.define EOL 13,10  ; Windows
;.define EOL 10     ; Unix, OSX


;----------------------
; Platform-specific file format for the binary output

;.define PLATFORM_ENCODING raw      ; no header
.define PLATFORM_ENCODING cbm_prg  ; 2-byte load address header


;----------------------
; Opcode allocation

; Set this to 0 to disable embedded dispatch, shaving more time and space off the instruction dispatch.
; This does not disable the creation of embedded opcodes, just the dispatch, so be careful no OPE declarations are still used.
.define ALLOW_EMBEDDED_DISPATCH 1

; When compacted, unembedded opcoes are allocated contiguous opcodes values, but an extra ASL is required during dispatch.
; If this is disabled, then only every other opcode value is used, to align with the vector dispatch, making it slightly faster.
.define COMPACT_UNEMBEDDED_OPCODES 1




